diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/revision.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/revision.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/revision.php	2013-07-31 09:31:54.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/revision.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 1,13 ****
  <?php
  /**
!  * Revisions administration panel.
   *
   * @package WordPress
   * @subpackage Administration
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  require ABSPATH . 'wp-admin/includes/revision.php';
  
--- 1,22 ----
  <?php
  /**
!  * Revisions administration panel
!  *
!  * Requires wp-admin/includes/revision.php.
   *
   * @package WordPress
   * @subpackage Administration
+  * @since 2.6.0
+  *
+  * @param int    revision Optional. The revision ID.
+  * @param string action   The action to take.
+  *                        Accepts 'restore', 'view' or 'edit'.
+  * @param int    from     The revision to compare from.
+  * @param int    to       Optional, required if revision missing. The revision to compare to.
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  require ABSPATH . 'wp-admin/includes/revision.php';
  
***************
*** 110,116 ****
  
  get_current_screen()->set_help_sidebar( $revisions_sidebar );
  
! require_once( './admin-header.php' );
  
  ?>
  
--- 119,125 ----
  
  get_current_screen()->set_help_sidebar( $revisions_sidebar );
  
! require_once( ABSPATH . 'wp-admin/admin-header.php' );
  
  ?>
  
***************
*** 207,210 ****
  
  
  <?php
! require_once( './admin-footer.php' );
--- 216,219 ----
  
  
  <?php
! require_once( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/setup-config.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/setup-config.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/setup-config.php	2013-03-01 11:14:09.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/setup-config.php	2013-09-12 01:57:09.000000000 -0500
***************
*** 55,60 ****
--- 55,63 ----
  // Turn register_globals off.
  wp_unregister_GLOBALS();
  
+ // Standardize $_SERVER variables across setups.
+ wp_fix_server_vars();
+ 
  require_once(ABSPATH . WPINC . '/compat.php');
  require_once(ABSPATH . WPINC . '/class-wp-error.php');
  require_once(ABSPATH . WPINC . '/formatting.php');
***************
*** 62,72 ****
  // Add magic quotes and set up $_REQUEST ( $_GET + $_POST )
  wp_magic_quotes();
  
! if ( ! file_exists( ABSPATH . 'wp-config-sample.php' ) )
  	wp_die( __( 'Sorry, I need a wp-config-sample.php file to work from. Please re-upload this file from your WordPress installation.' ) );
  
- $config_file = file(ABSPATH . 'wp-config-sample.php');
- 
  // Check if wp-config.php has been created
  if ( file_exists( ABSPATH . 'wp-config.php' ) )
  	wp_die( '<p>' . sprintf( __( "The file 'wp-config.php' already exists. If you need to reset any of the configuration items in this file, please delete it first. You may try <a href='%s'>installing now</a>." ), 'install.php' ) . '</p>' );
--- 65,78 ----
  // Add magic quotes and set up $_REQUEST ( $_GET + $_POST )
  wp_magic_quotes();
  
! // Support wp-config-sample.php one level up, for the develop repo.
! if ( file_exists( ABSPATH . 'wp-config-sample.php' ) )
! 	$config_file = file( ABSPATH . 'wp-config-sample.php' );
! elseif ( file_exists( dirname( ABSPATH ) . '/wp-config-sample.php' ) )
! 	$config_file = file( dirname( ABSPATH ) . '/wp-config-sample.php' );
! else
  	wp_die( __( 'Sorry, I need a wp-config-sample.php file to work from. Please re-upload this file from your WordPress installation.' ) );
  
  // Check if wp-config.php has been created
  if ( file_exists( ABSPATH . 'wp-config.php' ) )
  	wp_die( '<p>' . sprintf( __( "The file 'wp-config.php' already exists. If you need to reset any of the configuration items in this file, please delete it first. You may try <a href='%s'>installing now</a>." ), 'install.php' ) . '</p>' );
***************
*** 195,206 ****
  	if ( ! $no_api ) {
  		require_once( ABSPATH . WPINC . '/class-http.php' );
  		require_once( ABSPATH . WPINC . '/http.php' );
- 		wp_fix_server_vars();
  		/**#@+
  		 * @ignore
  		 */
  		function get_bloginfo() {
! 			return ( ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . str_replace( $_SERVER['PHP_SELF'], '/wp-admin/setup-config.php', '' ) );
  		}
  		/**#@-*/
  		$secret_keys = wp_remote_get( 'https://api.wordpress.org/secret-key/1.1/salt/' );
--- 201,211 ----
  	if ( ! $no_api ) {
  		require_once( ABSPATH . WPINC . '/class-http.php' );
  		require_once( ABSPATH . WPINC . '/http.php' );
  		/**#@+
  		 * @ignore
  		 */
  		function get_bloginfo() {
! 			return wp_guess_url();
  		}
  		/**#@-*/
  		$secret_keys = wp_remote_get( 'https://api.wordpress.org/secret-key/1.1/salt/' );
***************
*** 275,286 ****
  </script>
  <?php
  	else :
! 		$handle = fopen(ABSPATH . 'wp-config.php', 'w');
  		foreach( $config_file as $line ) {
! 			fwrite($handle, $line);
  		}
! 		fclose($handle);
! 		chmod(ABSPATH . 'wp-config.php', 0666);
  		setup_config_display_header();
  ?>
  <p><?php _e( "All right, sparky! You&#8217;ve made it through this part of the installation. WordPress can now communicate with your database. If you are ready, time now to&hellip;" ); ?></p>
--- 280,298 ----
  </script>
  <?php
  	else :
! 		// If this file doesn't exist, then we are using the wp-config-sample.php
! 		// file one level up, which is for the develop repo.
! 		if ( file_exists( ABSPATH . 'wp-config-sample.php' ) )
! 			$path_to_wp_config = ABSPATH . 'wp-config.php';
! 		else
! 			$path_to_wp_config = dirname( ABSPATH ) . '/wp-config.php';
! 
! 		$handle = fopen( $path_to_wp_config, 'w' );
  		foreach( $config_file as $line ) {
! 			fwrite( $handle, $line );
  		}
! 		fclose( $handle );
! 		chmod( $path_to_wp_config, 0666 );
  		setup_config_display_header();
  ?>
  <p><?php _e( "All right, sparky! You&#8217;ve made it through this part of the installation. WordPress can now communicate with your database. If you are ready, time now to&hellip;" ); ?></p>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/theme-editor.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/theme-editor.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/theme-editor.php	2013-05-08 16:27:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/theme-editor.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( is_multisite() && ! is_network_admin() ) {
  	wp_redirect( network_admin_url( 'theme-editor.php' ) );
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( is_multisite() && ! is_network_admin() ) {
  	wp_redirect( network_admin_url( 'theme-editor.php' ) );
***************
*** 30,36 ****
  	<p id="newcontent-description">' . __('In the editing area the Tab key enters a tab character. To move below this area by pressing Tab, press the Esc key followed by the Tab key.') . '</p>
  	<p>' . __('After typing in your edits, click Update File.') . '</p>
  	<p>' . __('<strong>Advice:</strong> think very carefully about your site crashing if you are live-editing the theme currently in use.') . '</p>
! 	<p>' . __('Upgrading to a newer version of the same theme will override changes made here. To avoid this, consider creating a <a href="http://codex.wordpress.org/Child_Themes" target="_blank">child theme</a> instead.') . '</p>' .
  	( is_network_admin() ? '<p>' . __('Any edits to files from this screen will be reflected on all sites in the network.') . '</p>' : '' )
  ) );
  
--- 30,36 ----
  	<p id="newcontent-description">' . __('In the editing area the Tab key enters a tab character. To move below this area by pressing Tab, press the Esc key followed by the Tab key.') . '</p>
  	<p>' . __('After typing in your edits, click Update File.') . '</p>
  	<p>' . __('<strong>Advice:</strong> think very carefully about your site crashing if you are live-editing the theme currently in use.') . '</p>
! 	<p>' . sprintf( __('Upgrading to a newer version of the same theme will override changes made here. To avoid this, consider creating a <a href="%s" target="_blank">child theme</a> instead.'), __('http://codex.wordpress.org/Child_Themes') ) . '</p>' .
  	( is_network_admin() ? '<p>' . __('Any edits to files from this screen will be reflected on all sites in the network.') . '</p>' : '' )
  ) );
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/theme-install.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/theme-install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/theme-install.php	2013-05-22 16:01:57.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/theme-install.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 10,16 ****
  	define( 'IFRAME_REQUEST', true );
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( ! current_user_can('install_themes') )
  	wp_die( __( 'You do not have sufficient permissions to install themes on this site.' ) );
--- 10,16 ----
  	define( 'IFRAME_REQUEST', true );
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( ! current_user_can('install_themes') )
  	wp_die( __( 'You do not have sufficient permissions to install themes on this site.' ) );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/themes.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/themes.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/themes.php	2013-05-22 16:01:57.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/themes.php	2013-10-02 20:26:09.000000000 -0500
***************
*** 7,19 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( !current_user_can('switch_themes') && !current_user_can('edit_theme_options') )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  $wp_list_table = _get_list_table('WP_Themes_List_Table');
  
  if ( current_user_can( 'switch_themes' ) && isset($_GET['action'] ) ) {
  	if ( 'activate' == $_GET['action'] ) {
  		check_admin_referer('switch-theme_' . $_GET['stylesheet']);
--- 7,21 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( !current_user_can('switch_themes') && !current_user_can('edit_theme_options') )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  $wp_list_table = _get_list_table('WP_Themes_List_Table');
  
+ $_SERVER['REQUEST_URI'] = remove_query_arg( array( 's', 'features', '_ajax_fetch_list_nonce', '_wp_http_referer', 'paged' ), $_SERVER['REQUEST_URI'] );
+ 
  if ( current_user_can( 'switch_themes' ) && isset($_GET['action'] ) ) {
  	if ( 'activate' == $_GET['action'] ) {
  		check_admin_referer('switch-theme_' . $_GET['stylesheet']);
***************
*** 91,97 ****
  wp_enqueue_script( 'theme' );
  wp_enqueue_script( 'customize-loader' );
  
! require_once('./admin-header.php');
  ?>
  
  <div class="wrap"><?php
--- 93,99 ----
  wp_enqueue_script( 'theme' );
  wp_enqueue_script( 'customize-loader' );
  
! require_once( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  
  <div class="wrap"><?php
***************
*** 139,144 ****
--- 141,155 ----
  		<?php echo $ct->display('Name'); ?>
  	</h4>
  
+ <?php
+ if ( $ct->errors() && ( ! is_multisite() || current_user_can( 'manage_network_themes' ) ) ) {
+ 	echo '<p class="error-message">' . sprintf( __( 'ERROR: %s' ), $ct->errors()->get_error_message() ) . '</p>';
+ }
+ 
+ // Certain error codes are less fatal than others. We can still display theme information in most cases.
+ if ( ! $ct->errors() || ( 1 == count( $ct->errors()->get_error_codes() )
+ 	&& in_array( $ct->errors()->get_error_code(), array( 'theme_no_parent', 'theme_parent_invalid', 'theme_no_index' ) ) ) ) : ?>
+ 
  	<div>
  		<ul class="theme-info">
  			<li><?php printf( __('By %s'), $ct->display('Author') ); ?></li>
***************
*** 207,219 ****
  	endif; // options || edit_theme_options
  	?>
  
  </div>
  
  <br class="clear" />
  <?php
  if ( ! current_user_can( 'switch_themes' ) ) {
  	echo '</div>';
! 	require( './admin-footer.php' );
  	exit;
  }
  ?>
--- 218,232 ----
  	endif; // options || edit_theme_options
  	?>
  
+ <?php endif; // theme errors ?>
+ 
  </div>
  
  <br class="clear" />
  <?php
  if ( ! current_user_can( 'switch_themes' ) ) {
  	echo '</div>';
! 	require( ABSPATH . 'wp-admin/admin-footer.php' );
  	exit;
  }
  ?>
***************
*** 292,302 ****
  		<th><?php _e('Description'); ?></th>
  	</tr>
  <?php
- 	$alt = '';
  	foreach ( $broken_themes as $broken_theme ) {
- 		$alt = ('class="alternate"' == $alt) ? '' : 'class="alternate"';
  		echo "
! 		<tr $alt>
  			 <td>" . $broken_theme->get('Name') ."</td>
  			 <td>" . $broken_theme->errors()->get_error_message() . "</td>
  		</tr>";
--- 305,313 ----
  		<th><?php _e('Description'); ?></th>
  	</tr>
  <?php
  	foreach ( $broken_themes as $broken_theme ) {
  		echo "
! 		<tr>
  			 <td>" . $broken_theme->get('Name') ."</td>
  			 <td>" . $broken_theme->errors()->get_error_message() . "</td>
  		</tr>";
***************
*** 308,311 ****
  ?>
  </div>
  
! <?php require('./admin-footer.php'); ?>
--- 319,322 ----
  ?>
  </div>
  
! <?php require( ABSPATH . 'wp-admin/admin-footer.php' ); ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/tools.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/tools.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/tools.php	2013-01-21 22:22:23.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/tools.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  $title = __('Tools');
  
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  $title = __('Tools');
  
***************
*** 29,35 ****
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! require_once('./admin-header.php');
  
  ?>
  <div class="wrap">
--- 29,35 ----
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! require_once( ABSPATH . 'wp-admin/admin-header.php' );
  
  ?>
  <div class="wrap">
***************
*** 68,71 ****
  ?>
  </div>
  <?php
! include('./admin-footer.php');
--- 68,71 ----
  ?>
  </div>
  <?php
! include( ABSPATH . 'wp-admin/admin-footer.php' );
